# Update an operator (https://docs.pulsarml.com/v1/api-reference/operators/patch-operators-operator_id)

Partially update an operator: send only the fields that change.

## `PATCH /v1/operators/{operator_id}`

Base URLs:
- `https://draco.prod.pulsarml.com` — Production
- `https://draco.dev.pulsarml.com` — Development (sandbox)

Authentication: send your API key in the `x-api-key` header.

### Path parameters

- `operator_id` (integer, required) — The operator ID.

### Request body (`application/json`, required)

Type: object (`UpdateOperatorByIdRequestV1`)

- `firstName` (string, optional, nullable, e.g. `"Pérez"`) — The first name of the operator.
- `lastName` (string, optional, nullable, e.g. `"Sánchez"`) — The last name of the operator.

### Responses

#### 204 — Successful Response

#### 422 — Validation Error

Type: object (`HTTPValidationError`)

- `detail` (array of object, optional)
  - `loc` (array of string | integer, required)
  - `msg` (string, required)
  - `type` (string, required)

### Example request

```bash
curl -X PATCH 'https://draco.prod.pulsarml.com/v1/operators/<operator_id>' \
  -H 'x-api-key: <YOUR_API_KEY>' \
  -H 'Content-Type: application/json' \
  -d '{
    "firstName": "Pérez",
    "lastName": "Sánchez"
  }'
```